Subject: Re: [PATCH] uapi: avoid namespace conflict in linux/posix_types.h

From: Florian Weimer <[email-masked]>
Date: Mon, 17 Jun 2019 20:19:48 +0200

* Linus Torvalds:

> On Mon, Jun 17, 2019 at 11:03 AM Florian Weimer <[email-masked]> wrote:
>>
>> There's also __kernel_fd_set in <linux/posix_types.h>.  I may have
>> lumped this up with <asm/posix_types.h>, but it has the same problem.
>
> Hmm.
>
> That one we might be able to just fix by renaming "fds_bits" to "__fds_bits".
>
> Unlike the "val[]" thing, I don't think anybody is supposed to access
> those fields directly.

Well, glibc already calls it __val …

> I think fd_set and friends are now supposed to be in <sys/select.h>
> anyway, and the "it was in <sys/types.h>" is all legacy.

Do you suggest to create a <linux/select.h> header to mirror this?

Thanks,
Florian